import React from 'react';
import PropTypes from 'prop-types';
/**
 * Primary UI component for user interaction
 */
declare const Input: {
    (props: {
        type: string;
        placeholder: string;
        width: string;
        styles?: React.CSSProperties | undefined;
        onChange?: ((e: any) => void) | undefined;
        onBlur?: ((e: any) => void) | undefined;
    }): JSX.Element;
    propTypes: {
        /**
         * Type
         */
        type: PropTypes.Requireable<string>;
        placeholder: PropTypes.Requireable<string>;
        width: PropTypes.Requireable<string>;
        styles: PropTypes.Requireable<object>;
    };
    defaultProps: {
        type: string;
        placeholder: string;
        width: string;
        styles: undefined;
    };
};
export default Input;
